petsc-3.4.2 2013-07-02

# MatFDColoringCreate

Creates a matrix coloring context for finite difference computation of Jacobians.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatFDColoringCreate(Mat mat,ISColoring iscoloring,MatFDColoring *color)

Collective on Mat

### Input Parameters

| mat | - the matrix containing the nonzero structure of the Jacobian
| iscoloring | - the coloring of the matrix; usually obtained with MatGetColoring() or DMCreateColoring()

### Output Parameter

color -the new coloring context

### See Also

MatFDColoringDestroy(),SNESComputeJacobianDefaultColor(), ISColoringCreate(),
MatFDColoringSetFunction(), MatFDColoringSetFromOptions(), MatFDColoringApply(), MatFDColoringView(), MatFDColoringSetParameters(), MatGetColoring(), DMCreateColoring()

Level:intermediate
Location:src/mat/matfd/fdmatrix.c
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex16.c.html
src/snes/examples/tutorials/ex5s.c.html
src/snes/examples/tutorials/ex14.c.html